/* latest-post.css */
.latest-post {
    grid-column: 2 / 4; /* Span middle two columns */
    grid-row: 2 / 3;
    display: flex;
    flex-direction: column;
    height: 100%;
    cursor: pointer;
}

.latest-post-header {
    font-size: 28px;
    font-weight: bold;
    margin-bottom: 15px;
    color: #3b342d;
}

.latest-post-content {
    display: flex;
    gap: 20px;
    flex: 1;
}

.latest-post-img {
    width: 35%;
    border-radius: 12px;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    object-position: center; /* Centers the focus */
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s;
}

.latest-post-img:hover {
    transform: scale(1.02);
    object-fit: contain;
}

.latest-post-info {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex: 1;
}

.latest-post-title {
    font-size: 28px;
    font-weight: 500;
    color: #3b342d;
    font-weight: bolder;
}

.latest-post-date {
    font-size: 14px;
    color: #3b342d;
    margin: 5px 0 10px;
    font-style: italic;
}

.latest-post-excerpt {
    font-size: 22px;
    line-height: 1.5;
    color: #3b342d;
}

.read-more {
    align-self: flex-end;
    background-color: #6a5a4a;
    color: #fff;
    border: none;
    padding: 12px 24px;
    border-radius: 30px;
    cursor: pointer;
    font-family: "Kreon", serif;
    font-weight: 500;
    font-size: 18px;
    transition: background-color 0.3s, transform 0.3s;
}

.read-more:hover {
    background-color: #5a4c3e;
    transform: translateY(-2px);
}